> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/mobile-sdk/native/ios/api-reference/error-manager/passkey.md).

# Passkey

public struct Passkey

* Utility to manage Passkey error codes and messages.

### Error Codes

The table below lists license error codes and messages.

| Key                             | Code   | Message                                                                                                         |
| ------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------- |
| iOS\_16\_REQUIRED               | 300001 | Passkeys are supported on iOS 16 and above. Please update your device to use this feature.                      |
| USERNAME\_EMPTY                 | 300002 | Username cannot be empty.                                                                                       |
| DISPLAY\_NAME\_EMPTY            | 300003 | Display name cannot be empty.                                                                                   |
| ATTESTATION\_OPTIONS\_FAILED    | 300004 | Passkey attestation options failed.                                                                             |
| ATTESTATION\_RESULT\_FAILED     | 300005 | Passkey attestation result failed.                                                                              |
| PASSKEY\_REGISTRATION\_FAILED   | 300006 | Passkey registration failed.                                                                                    |
| CANCELED                        | 300007 | User cancelled the operation.                                                                                   |
| INVALID                         | 300008 | Unable to create credential.                                                                                    |
| INVALID\_SIGNING                | 300009 | Unable to sign challenge.                                                                                       |
| UNSUPPORTED\_CREDENTIAL\_TYPE   | 300010 | Unsupported credential type returned by Credential Manager. Add handling for {error from os}                    |
| ASSERTION\_OPTIONS\_FAILED      | 300011 | Passkey assertion options failed.                                                                               |
| ASSERTION\_RESULT\_FAILED       | 300012 | Passkey assertion result failed.                                                                                |
| UNHANDLED\_CREDENTIAL\_TYPE     | 300013 | The authorization request wasn’t handled.                                                                       |
| NOT\_INTERACTIVE                | 300014 | Unable to create credential.                                                                                    |
| MATCHED\_EXCLUDED\_CREDENTIAL   | 300015 | At least one credential matches an entry of the excludeCredentials list in the platform attached authenticator. |
| LINKING\_FAILED                 | 300016 | Passkey linking failed                                                                                          |
| FETCH\_WALLET\_FAILED           | 300017 | Passkey wallet fetching failed.                                                                                 |
| PASSKEY\_AUTHENTICATION\_FAILED | 300018 | Passkey authentication failed.                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/mobile-sdk/native/ios/api-reference/error-manager/passkey.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
